MAKEPROFILES(1)

NAME
MakeProfiles - make standard 2D profiles on an image

SYNOPSIS
astmkprof [OPTION...] [Options] [Catalog]

DESCRIPTION
MakeProfiles is part of GNU Astronomy Utilities 0.24. MakeProfiles will create a FITS image containing any number of mock astronomical profiles based on an input catalog. All the profiles will be built from the center outwards. First by Monte Carlo integration, then using the central pixel position. The tolerance level specifies when the switch will occur.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of MakeProfiles's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astmkprof -P

Inputs/Outputs and options:
    $ info astmkprof

Full section in manual/book:
    $ info MakeProfiles

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

MakeProfiles options:

    Input:

-B, --backhdu=INT/STR
    HDU of background image.

--customimg=FITS
    Image file for 'custom-img' profile.

--customimghdu=INT/STR HDU of image given to '--customimg'.

--customtable=FITS/TXT File for 'custom-prof' profile.

--customtablehdu=INT/STR
    HDU of table given to '--customtable'.

-C, --clearcanvas
    All pixels in background image read as zero.

-E, --kernel=STR
    Parameters to only build one kernel.

-h, --hdu=STR/INT
    Input catalog HDU name or number (if FITS).

-I, --ignorecase
    Ignore case in matching/searching columns.

-k, --background=FITS
    A background image to make the profiles on.

--searchin=STR
    Select column(s): 'name', 'unit', 'comment'.

--stdintimeout=INT
    Micro-seconds to wait for standard input.

    Output:

-D, --dontdelete
    Don't delete output if it exists.

-i, --individual
    Build all profiles separately.

-K, --keepinputdir
    Keep input directory for automatic output.

-m, --nomerged
    Do not create a merged image of all profiles.

--outfitsnocommit
    No Git commit in 0-th HDU of output FITS.

--outfitsnoconfig
    No metadata in 0-th HDU of output FITS.

--outfitsnodate
    No 'DATE' in 0-th HDU of output FITS.

--outfitsnoversions
    No versions in 0-th HDU of output FITS.

-o, --output=STR
    Output file name.

--psfinimg
    PSF profiles made with all in output image.

-s, --oversample=INT
    Scale of oversampling (>0 and odd).

-T, --type=STR
    Type of output: e.g., int16, float32, etc...

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

-x, --mergedsize=INT[,INT,...]
    Merged image size along each dimension.

    Profiles:

-c, --prepforconv
    Shift and expand based on first catalog PSF.

-e, --envseed
    Use GSL_RNG_SEED environment variable for seed.

-f, --mforflatpix
    mcol is flat pixel value (when fcol is 5 or 6)

--magatpeak
    Magnitude is for peak pixel, not full profile.

--mcolissum
    mcol is total sum, not magnitude.

--mcolnocustimg
    Ignore value of mcol in 'custom-img'.

--mcolnocustprof
    Ignore value of mcol in 'custom-prof'.

--mode=STR
    Mode of '--ccol': 'img' or 'wcs'.

-p, --tunitinp
    Truncation is in units of pixels, not radius.

-r, --numrandom=INT
    No. of random points in Monte Carlo integ.

-R, --replace
    Replace overlapping profile pixels, don't add.

-t, --tolerance=FLT
    Tolerance to switch to less accurate method.

-w, --circumwidth=FLT
    Width of circumference (inward) profiles

-X, --shift=INT[, ...]
    Shift profile centers in output image.

-z, --zeropoint=FLT
    Magnitude zero point.

    Columns, by info (see '--searchin'), or number (starting from 1):

--ccol=STR/INT
    Coordinate columns (one call for each dim.).

--fcol=STR/INT
    sersic (1), moffat (2), gaussian (3), point (4), flat (5), circumference (6), distance (7), custom-prof (8), azimuth (9), custom-img (10).

--mcol=STR/INT
    Magnitude.

--ncol=STR/INT
    Sersic index or Moffat beta.

--p2col=STR/INT
    Second Euler angle (X-Z-X order).

--p3col=STR/INT
    Third Euler angle (X-Z-X order).

--pcol=STR/INT
    Position angle (3D: first X-Z-X Euler angle).

--q2col=STR/INT
    Axis ratio (major/dim3 in 3D).

--qcol=STR/INT
    Axis ratio (major/dim2 in 3D).

--rcol=STR/INT
    Effective radius or FWHM in pixels.

--tcol=STR/INT
    Truncation in units of --rcol.

    WCS parameters:

--cdelt=FLT[, ...]
    Resolution in each dimension.

--crpix=FLT[, ...]
    Pixel coordinates of reference point.

--crval=FLT[, ...]
    WCS coordinates of reference point.

--ctype=STR[, ... ]
    One of FITS standard WCS types.

--cunit=STR[, ... ]
    Units of the WCS coordinates (e.g., 'deg').

--pc=FLT[, ...]
    WCS rotation matrix (all elements).

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--config-prefix=STR
    Custom prefix of option names config files.

--lastconfig
    Do not parse any more configuration files.

--log
    Information about output(s) in a log file.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2025 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for MakeProfiles is maintained as a Texinfo manual. If the info and MakeProfiles programs are properly installed at your site, the command

    info MakeProfiles

should give you access to the complete manual.